<?php
/*
 * (c) Kiva Corp.
 */

namespace Plugin\Proteger\E2V;

use Eccube\Entity\ProductCategory;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;

/**
 * Class ProductCategoryE2V
 * @package Plugin\Proteger\E2V
 */
class ProductCategoryE2V
{
    /**
     * @param $data
     *
     * @return array
     */
    public static function convert($data)
    {
        $data = is_array($data) ? $data : array($data);

        $view = array();

        foreach ($data as $productCategory) {
            if (!$productCategory instanceof ProductCategory) {
                throw new BadRequestHttpException();
            }

            $view[] = array(
		'name' => $productCategory->getCategory()->getName(),
            );
        }

        return $view;
    }
}
