<?php
/*
 * (c) Kiva Corp.
 */

namespace Plugin\Proteger\E2V;

use Eccube\Entity\ProductImage;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;

/**
 * Class ProductImageE2V
 * @package Plugin\Proteger\E2V
 */
class ProductImageE2V
{
    /**
     * @param $data
     *
     * @return array
     */
    public static function convert($data)
    {
        $data = is_array($data) ? $data : array($data);

	$view = array();

	foreach ($data as $productImage) {
	    if (!$productImage instanceof ProductImage) {
		throw new BadRequestHttpException();
	    }

	    $view[] = array(
		'url' => $productImage->getFileName(),
	    );
	}

	return $view;
    }
}
