<?php
/*
 * (c) Kiva Corp.
 */

namespace Plugin\Proteger\Entity;

use Doctrine\ORM\Mapping as ORM;
use Eccube\Annotation\EntityExtension;

/**
 * @EntityExtension("Eccube\Entity\OrderItem")
 */
trait OrderItemProtegerTrait
{

    /**
     * @ORM\Column(type="string", nullable=true)
     */
    private $proteger_plan_id;

    /**
     * Set protegerPlanId.
     *
     * @param  string  $proteger_plan_id
     *
     * @return ProtegerPlanId
     */
    public function setProtegerPlanId($proteger_plan_id)
    {
        $this->proteger_plan_id = $proteger_plan_id;

	return $this;
    }

    /**
     * Get protegerPlanId.
     *
     * @return string
     */
    public function getProtegerPlanId()
    {
        return $this->proteger_plan_id;
    }
}
