<?php
/*
 * (c) Kiva Corp.
 */

namespace Plugin\Proteger\Form\Type\Admin;

use Eccube\Form\Type\ToggleSwitchType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Validator\Constraints as Assert;


class ProtegerType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
	    ->add('store_id', TextType::class, [
	        'constraints' => [
		    new Assert\NotBlank(),
		],
	    ])
	    ->add('access_token', TextType::class, [
	        'constraints' => [
		    new Assert\NotBlank(),
		],
	    ])
	    ->add('production_enabled', ToggleSwitchType::class, [
	    ]);
    }
}
